GuideLab API

Delete Qc Checklist Item

Soft-delete a QC checklist item by marking it as inactive. The item remains in the database for historical reference.

DELETE
/qc-checklist/{id}

Soft-delete a QC checklist item by marking it as inactive. The item remains in the database for historical reference.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

QC checklist item ID

Response Body

application/json

curl -X DELETE "https://example.com/qc-checklist/550e8400-e29b-41d4-a716-446655440000"
{  "item": {    "id": "string",    "labId": "string",    "name": "string",    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty